### Method

# Ide Workbench foreach_workspace

#### Declaration

    void
    ide_workbench_foreach_workspace (
      IdeWorkbench* self,
      GtkCallback callback,
      gpointer user_data
    )

#### Description

Iterates the available workspaces in the workbench. Workspaces are iterated in most-recently-used order.

Available since: | 3.32

#### Parameters

`callback` | `GtkCallback`
| A `GtkCallback` to call for each `IdeWorkspace`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.